@charset "UTF-8";

//----------------------------------------------
.panel-contact {
  @include box-shadow (none);
  color: #222;
  border: 0;
  border-radius: 0;

  @media (max-width: $screen-xs-max) {
    margin-bottom: 15px;
  }

  .panel-title {
    margin-bottom: 0;
  }

  .both-side-slash {
    position: relative;
    display: inline-block;
    padding-right: 56px;
    padding-left: 56px;
    margin-top: 5px;
    text-align: center;

    &:after,
    &:before {
      top: -8px;
      bottom: 0;
      width: 26px;
      height: 34px;
    }

    &:before {
      background: url("../img/common/slash-left-white.png") no-repeat;
    }

    &:after {
      background: url("../img/common/slash-right-white.png") no-repeat;
    }
  }

  .panel-heading {
    padding: 9px 10px 2px;
    text-align: center;
    background-color: #c83737;
    border-bottom: 0;
    border-top-right-radius: 0;
    border-top-left-radius: 0;

    @media (max-width: $screen-xs-max) {
      padding-top: 9px;
      padding-bottom: 6px;
    }
  }

  .panel-body {
    padding: 15px 15px 20px;
    border: 7px solid #b9b9b9;
    border-top: 0;

    @media (max-width: $screen-xs-max) {
      padding: 4px 4px 0 4px;
      border-width: 4px;
    }
  }

  .title {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.1;
    color: #fff;
    text-align: center;

    @media (max-width: $screen-xs-max) {
      font-size: 20px;
    }
  }

  .inner {
    @include center-block ();
    @include clearfix ();
    max-width: 820px;
  }

  .lead {
    margin-bottom: 12px;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: -1px;

    @media (max-width: $screen-xs-max) {
      font-size: 14px;
      text-align: center;
    }

    @media (max-width: 413px) {
      margin-bottom: 3px;
    }
  }

  .hours {
    display: block;
    margin-top: 5px;
    margin-left: 67px;
    font-size: 26px;
  }

  .img {
    float: right;
    margin-top: -74px;
  }

  .body {
    @media (min-width: $screen-sm-min) {
      float: left;
    }
  }

  .container-btn {
    @include center-block ();
    max-width: 854px;
    text-align: center;

    a {
      @include box-shadow (0 -1px 3px 0 rgba(0, 0, 0, .3));
      display: block;
      border-radius: 24px;
    }
  }

  .btn-tel-sm {
    margin-bottom: 4px;
  }

  .media {
    max-width: 304px;
    margin-right: auto;
    margin-left: auto;

    @media (min-width: 321px) {
      overflow: visible;
    }
  }

  .media-right {
    padding-left: 0;

    @media (min-width: 321px) {
      overflow: visible;
    }

    img {
      display: inline-block;
      vertical-align: bottom;

      @media (min-width: 321px) {
        margin-top: -15px;
      }

      @media (max-width: 320px) {
        width: 78px;
      }
    }
  }
}

//----------------------------------------------
.panel-blue {
  margin-bottom: 0;
  line-height: 1.687;
  color: #010101;
  background-color: #fff;
  border: 0;
  border-radius: 0;
  box-shadow: none;

  @media (min-width: $screen-sm-min) {
    font-size: 16px;
  }

  > .panel-heading {
    padding: 0;
    background-color: #fff;
    border-bottom: 1px solid #bbc3ca;
    border-top-right-radius: 0;
    border-top-left-radius: 0;

    a {
      position: relative;
      display: block;
      padding: 25px 50px 25px 30px;
      font-size: 18px;
      font-weight: bold;
      color: #010101;

      @media (max-width: $screen-xs-max) {
        padding: 12px 65px 10px 15px;
        font-size: 16px;
      }

      &:hover,
      &:focus,
      &[aria-expanded="true"] {
        color: #067de7;
        text-decoration: none;

        .icon-rotated-animation {
          background-color: #067de7;
        }
      }

      &[aria-expanded="true"] {
        color: #1d2088;
        background-color: #f4f5f7;

        &:hover {
          color: #067de7;

          .icon-rotated-animation {
            background-color: #067de7;
          }
        }

        .icon-rotated-animation {
          background-color: #999;

          .bar {
            transform: rotate(90deg);
          }
        }
      }
    }
  }

  .panel-body {
    padding: 5px 100px 21px 48px;

    @media (max-width: $screen-sm-max) {
      padding: 5px 15px 30px;
    }
  }

  .collapsing {
    margin-top: -1px;
    background-color: #f4f5f7;
    border-bottom: 1px solid #bbc3ca;
  }

  .collapse {
    &.in {
      margin-top: -1px;
      background-color: #f4f5f7;
      border-bottom: 1px solid #bbc3ca;
    }
  }
}

//----------------------------------------------
.icon-rotated-animation {
  position: absolute;
  top: 28px;
  right: 20px;
  display: block;
  width: 22px;
  height: 22px;
  background-color: #1d2088;
  content: "";

  @media (max-width: $screen-xs-max) {
    top: 18px;
    right: 15px;
  }

  .bar {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: block;
    width: 2px;
    height: 12px;
    margin: auto;
    background-color: #fff;
    content: "";
    transition: 300ms all ease;

    &:nth-child(2n) {
      transform: rotate(90deg);
    }
  }
}
